SliceQueryFilter (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db.filter
Class SliceQueryFilter

    java.lang.Object
      org.apache.cassandra.db.filter.SliceQueryFilter

All Implemented Interfaces:
  IFilter

Direct Known Subclasses:
  IdentityQueryFilter

    public class SliceQueryFilter

extends java.lang.Object
implements IFilter

Field Summary
`int` | `count`
`java.nio.ByteBuffer` | `finish`
`boolean` | `reversed`
`java.nio.ByteBuffer` | `start`

Constructor Summary
`SliceQueryFilter(java.nio.ByteBuffer start, java.nio.ByteBuffer finish, boolean reversed, int count)`

Method Summary
`void` | `collectReducedColumns(IColumnContainer container, java.util.Iterator<IColumn> reducedColumns, int gcBefore)` collects columns from reducedColumns into returnCF.
`SuperColumn` | `filterSuperColumn(SuperColumn superColumn, int gcBefore)` subcolumns of a supercolumn are unindexed, so to pick out parts of those we operate in-memory.
`java.util.Comparator<IColumn>` | `getColumnComparator(AbstractType comparator)`
`IColumnIterator` | `getMemtableColumnIterator(ColumnFamily cf, DecoratedKey<?> key, AbstractType comparator)` returns an iterator that returns columns from the given memtable matching the Filter criteria in sorted order.
`IColumnIterator` | `getSSTableColumnIterator(SSTableReader sstable, DecoratedKey<?> key)` returns an iterator that returns columns from the given SSTable matching the Filter criteria in sorted order.
`IColumnIterator` | `getSSTableColumnIterator(SSTableReader sstable, FileDataInput file, DecoratedKey<?> key)` Get an iterator that returns columns from the given SSTable using the opened file matching the Filter criteria in sorted order.
`boolean` | `isReversed()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### start

    public final java.nio.ByteBuffer start

### finish

    public final java.nio.ByteBuffer finish

### reversed

    public final boolean reversed

### count

    public final int count

Constructor Detail

### SliceQueryFilter

    public SliceQueryFilter(java.nio.ByteBuffer start,
                            java.nio.ByteBuffer finish,
                            boolean reversed,
                            int count)

Method Detail

### getMemtableColumnIterator

    public IColumnIterator getMemtableColumnIterator(ColumnFamily cf,
                                                     DecoratedKey<?> key,
                                                     AbstractType comparator)

  Description copied from interface: `IFilter`
  returns an iterator that returns columns from the given memtable matching the Filter criteria in sorted order.

  Specified by:
    `getMemtableColumnIterator` in interface `IFilter`

### getSSTableColumnIterator

    public IColumnIterator getSSTableColumnIterator(SSTableReader sstable,
                                                    DecoratedKey<?> key)

  Description copied from interface: `IFilter`
  returns an iterator that returns columns from the given SSTable matching the Filter criteria in sorted order.

  Specified by:
    `getSSTableColumnIterator` in interface `IFilter`

### getSSTableColumnIterator

    public IColumnIterator getSSTableColumnIterator(SSTableReader sstable,
                                                    FileDataInput file,
                                                    DecoratedKey<?> key)

  Description copied from interface: `IFilter`
  Get an iterator that returns columns from the given SSTable using the opened file matching the Filter criteria in sorted order.

  Specified by:
    `getSSTableColumnIterator` in interface `IFilter`
    `file` - Already opened file data input, saves us opening another one
    `key` - The key of the row we are about to iterate over

### filterSuperColumn

    public SuperColumn filterSuperColumn(SuperColumn superColumn,
                                         int gcBefore)

  Description copied from interface: `IFilter`
  subcolumns of a supercolumn are unindexed, so to pick out parts of those we operate in-memory.

  Specified by:
    `filterSuperColumn` in interface `IFilter`
  Parameters:
    `superColumn` - may be modified by filtering op.

### getColumnComparator

    public java.util.Comparator<IColumn> getColumnComparator(AbstractType comparator)

  Specified by:
    `getColumnComparator` in interface `IFilter`

### collectReducedColumns

    public void collectReducedColumns(IColumnContainer container,
                                      java.util.Iterator<IColumn> reducedColumns,
                                      int gcBefore)

  Description copied from interface: `IFilter`
  collects columns from reducedColumns into returnCF. Termination is determined by the filter code, which should have some limit on the number of columns to avoid running out of memory on large rows.

  Specified by:
    `collectReducedColumns` in interface `IFilter`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### isReversed

    public boolean isReversed()

  Specified by:
    `isReversed` in interface `IFilter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation